--------------------------------------------------------------------------------
-- SubModule Clock
-- Created   9/20/2006 12:12:41 PM
--------------------------------------------------------------------------------
Library IEEE;
Use IEEE.Std_Logic_1164.all;

entity Clock is port
   (
     I : in    std_logic;
     O : out   std_logic
   );
end Clock;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
architecture Structure of Clock is


-- Component Declarations
   Component BUFG
      port
      (
        I : in  STD_LOGIC;
        O : out STD_LOGIC
      );
   End Component;

-- Signal Declarations
   signal LDADC : std_logic;

-- Attributes
   attribute KEEP : string;
   attribute KEEP of LDADC : signal is "TRUE";

begin

   myBUFG: BUFG port map (I => I, O => LDADC);

   O <= LDADC;

end Structure;
--------------------------------------------------------------------------------
